Skip to content
Skip to main content
POST
/v3/grants/{grant_id}/signatures

Create a signature

Create a signature for a grant. Each grant can have up to 10 signatures.

Nylas sanitizes the HTML content on input to prevent malicious content. Images must use externally hosted URLs (base64 inline images are not supported). Maximum signature size is 100 KB.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

Query parameters

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

Request body

name*string

A label for the signature (for example, "Work", "Personal", or "Mobile").

Example: "Work Signature"
body*string

The HTML content of the signature. Maximum 100 KB. Images must use externally hosted URLs (base64 inline images are not supported). Nylas sanitizes the HTML on input to prevent malicious content.

Example: "<div><p><strong>Nick Barraclough</strong></p><p>Product Manager | Nylas</p><p><a href=\"mailto:[email protected]\">[email protected]</a></p></div>"

Responses

request_idstring

The request ID.

dataobject
POSThttps://api.us.nylas.com/v3/grants/{grant_id}/signatures

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.